package spec

import (
  "gopkg.in/jarcoal/httpmock.v1"
	"io/ioutil"
	"log"
	"testing"

  . "github.com/onsi/ginkgo"
  . "github.com/onsi/gomega"
)

func TestNet(t *testing.T) {
	log.SetOutput(ioutil.Discard)
	RegisterFailHandler(Fail)
	RunSpecs(t, "Net Suite")
}

var _ = BeforeSuite(func() {
	// block all HTTP requests
	httpmock.Activate()
})

var _ = BeforeEach(func() {
	// remove any mocks
	httpmock.Reset()
})

var _ = AfterSuite(func() {
	httpmock.DeactivateAndReset()
})
